Package com.tibco.patterns.dedupe_utils

## Class TableQuerySource

- java.lang.Object
- - com.tibco.patterns.deduplication.NetricsRecQuerySource
  - - com.tibco.patterns.dedupe_utils.CursorQuerySource
    - - com.tibco.patterns.dedupe_utils.TableQuerySource

- All Implemented Interfaces:
    `KeyedQuerySource`

      public class TableQuerySource
      extends CursorQuerySource

  Class to scan a TIBCO Patterns - Search table, producing a KeyedQuery for each record.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableQuerySource​(java.lang.String tableName, com.netrics.likeit.NetricsServerInterface host, QueryBuilder<KeyedNetricsRecord> queryBuilder)` | Create a TableQuerySource instance.
    `TableQuerySource​(java.lang.String tableName, java.lang.String hostAddress, int hostPort, QueryBuilder<KeyedNetricsRecord> queryBuilder)` | Create a TableQuerySource instance.

  - ### Method Summary

    - ### Methods inherited from class com.tibco.patterns.dedupe_utils.CursorQuerySource

      `getCursor`

    - ### Methods inherited from class com.tibco.patterns.deduplication.NetricsRecQuerySource

      `getPosition, getQueriesProduced, getQueryLimit, isEOS, next, setQueryLimit`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableQuerySource

          public TableQuerySource​(java.lang.String tableName,
                                  java.lang.String hostAddress,
                                  int hostPort,
                                  QueryBuilder<KeyedNetricsRecord> queryBuilder)

      Create a TableQuerySource instance.
      Parameters:
        `tableName` - Name of the table to scan
        `hostAddress` - Address (DNS name or IP Address) of the TIBCO Patterns Search host.
        `hostPort` - TCP port of the TIBCO Patterns Search host.
        `queryBuilder` - Defines how to build the KeyedQuery from the table record.

    - #### TableQuerySource

          public TableQuerySource​(java.lang.String tableName,
                                  com.netrics.likeit.NetricsServerInterface host,
                                  QueryBuilder<KeyedNetricsRecord> queryBuilder)

      Create a TableQuerySource instance.
      Parameters:
        `tableName` - Name of the table to scan
        `host` - a TIBCO Patterns Search host.
        `queryBuilder` - Defines how to build the KeyedQuery from the table record.